// 📦 Package imports:
import 'package:dog/dog.dart';
import 'package:facebook_audience_network/facebook_audience_network.dart';

// 🌎 Project imports:
import 'package:adpluginx/AdBase/AdBase.dart';
import 'package:adpluginx/AdBase/Interfaces/AdCallerInterface.dart';

class FacebookFullscreen {
  static final FacebookFullscreen _singleton = FacebookFullscreen._internal();

  factory FacebookFullscreen() {
    return _singleton;
  }

  FacebookFullscreen._internal();

  callAds({
    required String adId,
    required AdCallerInterface adCallerInterface,
  }) {
    FacebookInterstitialAd.loadInterstitialAd(
      placementId: adId,
      listener: (result, value) {
        dog.i(value.toString(),title: "Facebook");
        switch (result) {
          case InterstitialAdResult.DISPLAYED:
            break;
          case InterstitialAdResult.DISMISSED:
            adCallerInterface.onClose();
            break;
          case InterstitialAdResult.ERROR:
            // TODO: Handle this case.
            adCallerInterface.onError();
            break;
          case InterstitialAdResult.LOADED:
            FacebookAudienceNetwork.showInterstitialAd(delay: 0);
            break;
          case InterstitialAdResult.CLICKED:
            break;
          case InterstitialAdResult.LOGGING_IMPRESSION:
            break;
        }
      },
    );
  }
}
