// 📦 Package imports:
import 'package:dog/dog.dart';
import 'package:facebook_audience_network/facebook_audience_network.dart';

// 🌎 Project imports:
import 'package:adpluginx/AdBase/AdBase.dart';
import 'package:adpluginx/AdBase/Interfaces/AdCallerInterface.dart';

class FacebookReward {
  static final FacebookReward _singleton = FacebookReward._internal();

  factory FacebookReward() {
    return _singleton;
  }

  FacebookReward._internal();

  callAds({
    required String adId,
    required AdCallerInterface adCallerInterface,
  }) {
    FacebookRewardedVideoAd.loadRewardedVideoAd(
      placementId: adId,
      listener: (result, value) {
        dog.i(result.name);
        dog.i(value.toString());
        switch (result) {
          case RewardedVideoAdResult.VIDEO_COMPLETE:
            // TODO: Handle this case.
            adCallerInterface.onClose();
            break;
          case RewardedVideoAdResult.VIDEO_CLOSED:
            // TODO: Handle this case.
            adCallerInterface.onClose();
            break;
          case RewardedVideoAdResult.ERROR:
            // TODO: Handle this case.
            adCallerInterface.onError();
            break;
          case RewardedVideoAdResult.LOADED:
            // TODO: Handle this case.
            FacebookAudienceNetwork.showRewardedVideoAd(delay: 0);
            break;
          case RewardedVideoAdResult.CLICKED:
            // TODO: Handle this case.
            break;
          case RewardedVideoAdResult.LOGGING_IMPRESSION:
            // TODO: Handle this case.
            break;
        }
      },
    );
  }
}
