// 📦 Package imports:
import 'package:dog/dog.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';

// 🌎 Project imports:
import 'package:adpluginx/AdBase/AdBase.dart';
import 'package:adpluginx/AdBase/Interfaces/AdCallerInterface.dart';

class GoogleFullscreenX {
  static final GoogleFullscreenX _singleton = GoogleFullscreenX._internal();

  factory GoogleFullscreenX() {
    return _singleton;
  }

  GoogleFullscreenX._internal();

  InterstitialAd? _interstitialAd;

  void callAds({
    required String adId,
    required AdCallerInterface adCallerInterface,
  }) {
    InterstitialAd.load(
      adUnitId: adId,
      request: const AdRequest(),
      adLoadCallback: InterstitialAdLoadCallback(
        onAdLoaded: (InterstitialAd ad) {
          _interstitialAd = ad;
          dog.i("On Ad Loaded====>");
          _interstitialAd!.fullScreenContentCallback =
              FullScreenContentCallback(
            onAdShowedFullScreenContent: (InterstitialAd ad) {
              dog.i("On Ad Showed====>");
            },
            onAdDismissedFullScreenContent: (InterstitialAd ad) {
              adCallerInterface.onClose();
              dog.i("On Ad Dismissed====>");
              ad.dispose();
            },
            onAdFailedToShowFullScreenContent:
                (InterstitialAd ad, AdError error) {
              adCallerInterface.onError();
              dog.i("On Ad Failed====>");
              ad.dispose();
            },
          );
          _interstitialAd!.show();
        },
        onAdFailedToLoad: (LoadAdError error) {
          _interstitialAd = null;
          dog.i("On Ad Faield to Loade====> ${error.message}");
          adCallerInterface.onError();
        },
      ),
    );
  }
}
