// 📦 Package imports:
import 'package:google_mobile_ads/google_mobile_ads.dart';

// 🌎 Project imports:
import 'package:adpluginx/AdBase/AdBase.dart';
import 'package:adpluginx/AdBase/Interfaces/AdCallerInterface.dart';

class GoogleRewardVideoX {
  static final GoogleRewardVideoX _singleton = GoogleRewardVideoX._internal();

  factory GoogleRewardVideoX() {
    return _singleton;
  }

  GoogleRewardVideoX._internal();

  RewardedAd? _rewardVideoAd;

  void callAds({
    required String adId,
    required AdCallerInterface adCallerInterface,
  }) {
    RewardedAd.load(
      adUnitId: adId,
      request: const AdRequest(),
      rewardedAdLoadCallback: RewardedAdLoadCallback(
        onAdLoaded: (ad) {
          _rewardVideoAd = ad;
          _rewardVideoAd!.fullScreenContentCallback = FullScreenContentCallback(
            onAdShowedFullScreenContent: (RewardedAd ad) {},
            onAdDismissedFullScreenContent: (RewardedAd ad) {},
            onAdFailedToShowFullScreenContent: (RewardedAd ad, AdError error) {
              adCallerInterface.onError();
              ad.dispose();
            },
          );
          _rewardVideoAd!.show(
            onUserEarnedReward: (AdWithoutView ad, RewardItem rewardItem) {
              adCallerInterface.onClose();
              ad.dispose();
            },
          );
        },
        onAdFailedToLoad: (error) {
          _rewardVideoAd = null;
          adCallerInterface.onError();
        },
      ),
    );
  }
}
