// 📦 Package imports:
import 'package:unity_mediation/unity_mediation.dart';

// 🌎 Project imports:
import 'package:adpluginx/AdBase/Interfaces/AdCallerInterface.dart';

class UnityRewardX {
  static final UnityRewardX _singleton = UnityRewardX._internal();

  factory UnityRewardX() {
    return _singleton;
  }

  UnityRewardX._internal();

  callAds({
    required String adId,
    required AdCallerInterface adCallerInterface,
  }) {
    UnityMediation.loadRewardedAd(
      adUnitId: adId,
      onComplete: (adUnitId) {
        UnityMediation.showRewardedAd(
            adUnitId: adId,
            onClosed: (_) {
              adCallerInterface.onClose();
            },
            onFailed: (_, p, q) {
              adCallerInterface.onError();
            });
      },
      onFailed: (adUnitId, error, message) {
        adCallerInterface.onError();
      },
    );
  }
}
