// 🐦 Flutter imports:
import 'package:flutter/material.dart';

// 📦 Package imports:
import 'package:pmvvm/pmvvm.dart';

// 🌎 Project imports:
import 'package:adpluginx/Engine/FullScreen/FullScreenEngine.dart';
import 'package:adpluginx/Widget/Loader/LoaderProvider.dart';

class AdEngine {
  static final AdEngine _singleton = AdEngine._internal();

  factory AdEngine() {
    return _singleton;
  }

  AdEngine._internal();

  showFullScreen({
    required BuildContext context,
    required Function() onJobComplete,
    bool showLoader = true,
  }) {
    if (showLoader) {
      context.read<LoaderProvider>().isAdLoading = true;
    }
    FullScreenEngine().showAds(
      context: context,
      onJobComplete: () {
        if (showLoader) {
          context.read<LoaderProvider>().isAdLoading = false;
        }
        onJobComplete();
      },
    );
  }

  showActionBasedAds({
    required BuildContext context,
    required String actionName,
    required Function() onJobComplete,
    bool showLoader = true,
  }) {
    if (showLoader) {
      context.read<LoaderProvider>().isAdLoading = true;
    }
    FullScreenEngine().showActionAds(
      context: context,
      actionName: actionName,
      onJobComplete: () {
        if (showLoader) {
          context.read<LoaderProvider>().isAdLoading = false;
        }
        onJobComplete();
      },
    );
  }
}
