// 📦 Package imports:
import 'package:dog/dog.dart';
import 'package:package_info_plus/package_info_plus.dart';

class PackageInfoX {
  static final PackageInfoX _singleton = PackageInfoX._internal();

  factory PackageInfoX() {
    return _singleton;
  }

  PackageInfoX._internal();

  String? appName;
  String? packageName;
  String? version;
  String? buildNumber;
  String? store;
  String? signature;

  init() async {
    PackageInfo packageInfo = await PackageInfo.fromPlatform();
    appName = packageInfo.appName;
    packageName = packageInfo.packageName;
    version = packageInfo.version;
    buildNumber = packageInfo.buildNumber;
    signature = packageInfo.buildSignature;
    store = packageInfo.installerStore;
    dog.i(appName);
    dog.i(packageName);
    dog.i(version);
    dog.i(buildNumber);
    dog.i(store);
    dog.i(signature);
  }
}
